#include "../include/Data.h"

namespace environment {
namespace data {

  bool Data::read (uint32_t address, uint32_t size, char * & data_dest)
  {
    uint32_t num_seg = 0;
    bool     res     = false;

    // Scan all segment
    for (num_seg = 0; num_seg < nb_seg; num_seg ++)
      if (segment[num_seg]->test (address,size) == true)
	{
	  segment[num_seg]->read (address,size,data_dest);
	  res = true;
	  break;
	}
    
    return res;
  }


};
};
